Create a planned task for a project
curl --request POST \
--url https://api-{region}.sesametime.com/project/v1/planned-tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"plannedTaskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"startTime": "10:00",
"endTime": "10:00"
}
'import requests
url = "https://api-{region}.sesametime.com/project/v1/planned-tasks"
payload = {
"description": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"plannedTaskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"startTime": "10:00",
"endTime": "10:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
startDate: '2023-12-25',
endDate: '2023-12-25',
plannedTaskId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
startTime: '10:00',
endTime: '10:00'
})
};
fetch('https://api-{region}.sesametime.com/project/v1/planned-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Planned Tasks
Create a planned task for a project
POST
/
project
/
v1
/
planned-tasks
Create a planned task for a project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Planned task object that needs to be created
The description of the planned task
The id of the project
The start date of the planned task
The end date of the planned task
The id of the planned task, if not provided, it will be generated automatically
Tags associated with the planned task
The start time of the planned task, can be null
Example:
"10:00"
The end time of the planned task, can be null
Example:
"10:00"
Response
200 - application/json
Object
Was this page helpful?
⌘I